USRP Hardware Driver and USRP Manual: uhd::rfnoc::chdr::mgmt_op_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::chdr::mgmt_op_t Class Reference

A class that represents a single management operation. More...

`#include <uhd/rfnoc/chdr_types.hpp>`

## Classes
struct | sel_dest_payload
| An interpretation class for the payload for MGMT_OP_SEL_DEST. More...
struct | cfg_payload
struct | node_info_payload
| An interpretation class for the payload for MGMT_OP_INFO_RESP. More...

## Public Types
enum | op_code_t { MGMT_OP_NOP = 0 , MGMT_OP_ADVERTISE = 1 , MGMT_OP_SEL_DEST = 2 , MGMT_OP_RETURN = 3 , MGMT_OP_INFO_REQ = 4 , MGMT_OP_INFO_RESP = 5 , MGMT_OP_CFG_WR_REQ = 6 , MGMT_OP_CFG_RD_REQ = 7 , MGMT_OP_CFG_RD_RESP = 8 }
using | payload_t = uint64_t
| The payload for an operation is 48 bits wide.

## Public Member Functions
| mgmt_op_t (const op_code_t op_code, const payload_t op_payload=0, const uint8_t ops_pending=0)
| mgmt_op_t (const mgmt_op_t &rhs)=default
mgmt_op_t & | operator= (const mgmt_op_t &rhs)=default
uint8_t | get_ops_pending () const
| Get the ops pending for this transaction.
op_code_t | get_op_code () const
| Get the op-code for this transaction.
uint64_t | get_op_payload () const
| Get the payload for this transaction.
bool | operator== (const mgmt_op_t &rhs) const
| Comparison operator (==).
std::string | to_string () const
| Return a string representation of this object.

## Detailed Description

A class that represents a single management operation.

## Member Typedef Documentation

## ◆ payload_t

using uhd::rfnoc::chdr::mgmt_op_t::payload_t = uint64_t

The payload for an operation is 48 bits wide.

## Member Enumeration Documentation

## ◆ op_code_t

enum uhd::rfnoc::chdr::mgmt_op_t::op_code_t

Enumerator
MGMT_OP_NOP | Do nothing.
MGMT_OP_ADVERTISE | Advertise this operation to the outside logic.
MGMT_OP_SEL_DEST | Select the next destination for routing.
MGMT_OP_RETURN | Return the management packet back to its source.
MGMT_OP_INFO_REQ | Request information about the current node.
MGMT_OP_INFO_RESP | A response to an information request.
MGMT_OP_CFG_WR_REQ | Perform a configuration write on the node.
MGMT_OP_CFG_RD_REQ | Perform a configuration read on the node.
MGMT_OP_CFG_RD_RESP | A response to a configuration read.

## Constructor & Destructor Documentation

## ◆ mgmt_op_t() [1/2]

uhd::rfnoc::chdr::mgmt_op_t::mgmt_op_t | ( | const op_code_t | op_code,
|  | const payload_t | op_payload = 0,
|  | const uint8_t | ops_pending = 0 )
| inline

## ◆ mgmt_op_t() [2/2]

uhd::rfnoc::chdr::mgmt_op_t::mgmt_op_t | ( | const mgmt_op_t & | rhs | ) |
| default

## Member Function Documentation

## ◆ get_op_code()

op_code_t uhd::rfnoc::chdr::mgmt_op_t::get_op_code | ( |  | ) | const
| inline

Get the op-code for this transaction.

## ◆ get_op_payload()

uint64_t uhd::rfnoc::chdr::mgmt_op_t::get_op_payload | ( |  | ) | const
| inline

Get the payload for this transaction.

## ◆ get_ops_pending()

uint8_t uhd::rfnoc::chdr::mgmt_op_t::get_ops_pending | ( |  | ) | const
| inline

Get the ops pending for this transaction.

## ◆ operator=()

mgmt_op_t & uhd::rfnoc::chdr::mgmt_op_t::operator= | ( | const mgmt_op_t & | rhs | ) |
| default

## ◆ operator==()

bool uhd::rfnoc::chdr::mgmt_op_t::operator== | ( | const mgmt_op_t & | rhs | ) | const
| inline

Comparison operator (==).

## ◆ to_string()

std::string uhd::rfnoc::chdr::mgmt_op_t::to_string | ( |  | ) | const

Return a string representation of this object.

The documentation for this class was generated from the following file:

- chdr_types.hpp